#!/usr/bin/python3

import os
import subprocess
from boottoolsfunctions import _run, _read_config

config = _read_config ('boottoolsgenerator.cfg')
debconf_settings2 = config['General'].get ('debconf_settings2')

subprocess.run (['debconf-set-selections'], input=debconf_settings2, text=True)

os.environ['DEBIAN_FRONTEND'] = 'noninteractive'
_run (['dpkg-reconfigure', 'console-setup', 'locales'])
